%global icon_themes hicolor

Name:           gnome-taquin
Version:        3.26.1
Release:        1%{?dist}
Summary:        Sliding-block puzzle game

License:        GPLv3+ and GPLv2+ and CC-BY-SA 
URL:            https://wiki.gnome.org/Apps/Taquin
Source0:        https://download.gnome.org/sources/gnome-taquin/3.26/gnome-taquin-%{version}.tar.xz

BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.15
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libcanberra-gtk3)

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  itstool


%description
Taquin is a computer version of the 15-puzzle and other sliding puzzles.
The object of Taquin is to move tiles so that they reach their places, 
either indicated with numbers, or with parts of a great image.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
%make_install
%find_lang %{name} --with-gnome


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.taquin.desktop


%post
for theme in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$theme &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for theme in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$theme &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$theme &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for theme in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$theme &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%doc AUTHORS NEWS
%license COPYING COPYING.sounds COPYING.themes
%{_bindir}/gnome-taquin
%{_datadir}/appdata/org.gnome.taquin.appdata.xml
%{_datadir}/applications/org.gnome.taquin.desktop
%{_datadir}/dbus-1/services/org.gnome.taquin.service
%{_datadir}/glib-2.0/schemas/org.gnome.taquin.gschema.xml
%{_datadir}/gnome-taquin
%{_datadir}/icons/*/*/apps/gnome-taquin*
%{_mandir}/man6/gnome-taquin.6.*


%changelog
* Sun Oct  1 2017 Yanko Kaneti <yaneti@declera.com> - 3.26.1-1
- Update to 3.26.1

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.22.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 21 2016 Yanko Kaneti <yaneti@declera.com> - 3.22.0-1
- Update to 3.22.0

* Tue Sep 13 2016 Yanko Kaneti <yaneti@declera.com> - 3.21.92-1
- Update to 3.21.92

* Tue Aug 30 2016 Yanko Kaneti <yaneti@declera.com> - 3.21.91-1
- Update to 3.21.91

* Thu Aug 18 2016 Kalev Lember <klember@redhat.com> - 3.21.90-1
- Update to 3.21.90
- Move desktop file validation to the check section

* Mon May 09 2016 Kalev Lember <klember@redhat.com> - 3.20.2-1
- Update to 3.20.2

* Thu Apr 14 2016 Yanko Kaneti <yaneti@declera.com> - 3.20.1-1
- Update to 3.20.1

* Mon Mar 21 2016 Yanko Kaneti <yaneti@declera.com> - 3.20.0-1
- Update to 3.20.0

* Tue Mar 15 2016 Yanko Kaneti <yaneti@declera.com> - 3.19.92-1
- Update to 3.19.92

* Tue Mar 1 2016 Yanko Kaneti <yaneti@declera.com> - 3.19.91-1
- Update to 3.19.91

* Wed Feb 17 2016 Yanko Kaneti <yaneti@declera.com> - 3.19.90-1
- Update to 3.19.90

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 28 2015 Yanko Kaneti <yaneti@declera.com> - 3.19.1
- First release on the next development branch

* Thu Oct 15 2015 Kalev Lember <klember@redhat.com> - 3.18.1.1-1
- Update to 3.18.1.1

* Mon Oct 12 2015 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Tue Sep 15 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.92-1
- Update to 3.17.92

* Tue Sep  1 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.91-1
- Update to 3.17.91

* Tue Aug 18 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.90-1
- Update to 3.17.90

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 28 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.1-1
- New development release

* Mon Apr 13 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.1-1
- Update to 3.16.1
- No more separate HighContrast icons

* Mon Mar 23 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.92-1
- Update to 3.15.92

* Mon Mar  2 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.91.1-1
- Update to 3.15.91.1

* Tue Feb 17 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.90-1
- Update to 3.15.90

* Tue Jan 20 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.4-1
- Update to 3.15.4

* Thu Jan 15 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.3-1
- Packaging attempt
